# TdApi.ArchiveChatListSettings (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ArchiveChatListSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ArchiveChatListSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ArchiveChatListSettings

Enclosing class:
  TdApi

public static final class TdApi.ArchiveChatListSettings extends TdApi.Object
Contains settings for automatic moving of chats to and from the Archive chat lists.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`archiveAndMuteNewChatsFromUnknownUsers`
True, if new chats from non-contacts will be automatically archived and muted.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`keepChatsFromFoldersArchived`
True, if unmuted chats, that are always included or pinned in a folder, will be kept in the Archive chat list when they get a new message.
`boolean`
`keepUnmutedChatsArchived`
True, if unmuted chats will be kept in the Archive chat list when they get a new message.

## Constructor Summary

Constructors
Constructor
Description
`ArchiveChatListSettings()`
Contains settings for automatic moving of chats to and from the Archive chat lists.
`ArchiveChatListSettings(boolean archiveAndMuteNewChatsFromUnknownUsers, boolean keepUnmutedChatsArchived, boolean keepChatsFromFoldersArchived)`
Contains settings for automatic moving of chats to and from the Archive chat lists.
`ArchiveChatListSettings(DataInput input)`
Contains settings for automatic moving of chats to and from the Archive chat lists.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### archiveAndMuteNewChatsFromUnknownUsers

public boolean archiveAndMuteNewChatsFromUnknownUsers
True, if new chats from non-contacts will be automatically archived and muted. Can be set to true only if the option "can_archive_and_mute_new_chats_from_unknown_users" is true.

### keepUnmutedChatsArchived

public boolean keepUnmutedChatsArchived
True, if unmuted chats will be kept in the Archive chat list when they get a new message.

### keepChatsFromFoldersArchived

public boolean keepChatsFromFoldersArchived
True, if unmuted chats, that are always included or pinned in a folder, will be kept in the Archive chat list when they get a new message. Ignored if keepUnmutedChatsArchived == true.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ArchiveChatListSettings

public ArchiveChatListSettings()
Contains settings for automatic moving of chats to and from the Archive chat lists.

### ArchiveChatListSettings

public ArchiveChatListSettings(boolean archiveAndMuteNewChatsFromUnknownUsers, boolean keepUnmutedChatsArchived, boolean keepChatsFromFoldersArchived)
Contains settings for automatic moving of chats to and from the Archive chat lists.

Parameters:
  `archiveAndMuteNewChatsFromUnknownUsers` - True, if new chats from non-contacts will be automatically archived and muted. Can be set to true only if the option "can_archive_and_mute_new_chats_from_unknown_users" is true.
  `keepUnmutedChatsArchived` - True, if unmuted chats will be kept in the Archive chat list when they get a new message.
  `keepChatsFromFoldersArchived` - True, if unmuted chats, that are always included or pinned in a folder, will be kept in the Archive chat list when they get a new message. Ignored if keepUnmutedChatsArchived == true.

### ArchiveChatListSettings

public ArchiveChatListSettings(DataInput input) throws IOException
Contains settings for automatic moving of chats to and from the Archive chat lists.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`